Index: app_dial.c
===================================================================
--- app_dial.c	(revision 16299)
+++ app_dial.c	(working copy)
@@ -801,7 +801,7 @@
 	if (ast_test_flag(&opts, OPT_DURATION_STOP) && !ast_strlen_zero(opt_args[OPT_ARG_DURATION_STOP])) {
 		calldurationlimit = atoi(opt_args[OPT_ARG_DURATION_STOP]);
 		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Setting call duration limit to %d seconds.\n",calldurationlimit);			
+			ast_verbose(VERBOSE_PREFIX_3 "Setting call duration limit to %d seconds.\n", calldurationlimit);
 	}
 
 	if (ast_test_flag(&opts, OPT_SENDDTMF) && !ast_strlen_zero(opt_args[OPT_ARG_SENDDTMF])) {
@@ -853,6 +853,8 @@
 		if (!play_warning && !start_sound && !end_sound && timelimit) { 
 			calldurationlimit = timelimit/1000;
 			timelimit = play_to_caller = play_to_callee = play_warning = warning_freq = 0;
+			if (option_verbose > 2)
+				ast_verbose(VERBOSE_PREFIX_3 "Setting call duration limit to %d seconds.\n", calldurationlimit);
 		} else if (option_verbose > 2) {
 			ast_verbose(VERBOSE_PREFIX_3 "Limit Data for this call:\n");
 			ast_verbose(VERBOSE_PREFIX_3 "- timelimit     = %ld\n", timelimit);
